gi-xlib-2.0.2: xlib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Structs.XFontStruct

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype XFontStruct = XFontStruct (ManagedPtr XFontStruct)
- noXFontStruct :: Maybe XFontStruct

# Exported types

newtype XFontStruct Source #

Memory-managed wrapper type.

Constructors

XFontStruct (ManagedPtr XFontStruct) |

Instances

WrappedPtr XFontStruct Source # |
Instance details Defined in GI.Xlib.Structs.XFontStruct Methods wrappedPtrCalloc :: IO (Ptr XFontStruct) Source # wrappedPtrCopy :: XFontStruct -> IO XFontStruct Source # wrappedPtrFree :: Maybe (FunPtr (Ptr XFontStruct -> IO ())) Source #

noXFontStruct :: Maybe XFontStruct Source #

A convenience alias for `Nothing` :: `Maybe` `XFontStruct`.